Foreman - Bug #31452

Cannot build an EL 8.3 system via Satellite Bootdisk or Discovery kexec
12/04/2020 02:05 PM - Lukas Zapletal
Priority: Urgent
Assignee: Lukas Zapletal
Category: Templates
Target version: 222
Difficulty: Fixed in Releases: 222,231,240
Triaged: Yes Found in Releases:
Bugzilla link: 1903247 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8179
Description

Dracut in PXE images for RHEL 8.3 no longer accepts hardware type prefix in the BOOTIF kernel command line parameter.
Foreman PXE/Grub2 templates adds BOOTIF with the prefix (e.g. BOOTIF=00-AA-BB-CC-DD-EE-FF) which leads to failure
because NIC is not properly initialized. For PXELinux IPAPPEND 2 statement must be also removed because it automatically
generates and appends BOOTIF statement with the prefix.

We need to implement a workaround in PXELinux, iPXE and Grub templates for this specifically for EL 8.3 or EL 8.3+ if this turns out
to be expected behavior.

Related issues:
Related to Foreman - Bug #31524: Do not put hardware type into BOOTIF configu... Duplicate
Related to Foreman - Bug #31573: Drop IPAPPEND2 completely and use 01 for the... Closed

Associated revisions

Revision f2¢81699 - 12/09/2020 07:06 PM - Lukas Zapletal
Fixes #31452 - BOOTIF workaround for EL 8.3

History

#1 - 12/04/2020 02:06 PM - Lukas Zapletal
- Bugzilla link set to 1903247

#2 - 12/04/2020 02:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8179 added

#3 - 12/09/2020 03:29 PM - Tomer Brisker

- Target version setto 2.2.2

#4 - 12/09/2020 07:06 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#5 - 12/09/2020 07:09 PM - Tomer Brisker
- Fixed in Releases 2.2.2, 2.3.1 added

#6 - 12/09/2020 08:01 PM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f2c816996c8d88861db00ce6{5875a2de2aldfaa.

#7 - 12/17/2020 08:51 AM - Lukas Zapletal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f2c816996c8d88861db00ce6f5875a2de2a0dfaa

- Related to Bug #31524: Do not put hardware type into BOOTIF configurable for EL8.3+ added

#8 - 01/05/2021 01:17 PM - Lukas Zapletal
- Related to Bug #31573: Drop IPAPPEND2 completely and use 01 for the hardware prefix added
